﻿using System;
using System.Diagnostics;

namespace Rectangle
{
    class Rectangle
    {
        // ETAPE 1 : Evolution vers des propriétés 
        //public double largeur;
        //public double longueur;
        // ne pas oublier de modifier largeur et longueur en _largeur et _longueur


        protected double _largeur;
        protected double _longueur;


        public double largeur
        {
            set
            {
                if (value > 0)
                    _largeur = value;
                else
                {
                    Console.WriteLine("la valeur de la largeur n'est pas positive");
                    Console.ReadLine();
                    Environment.Exit(0);
                }

            }

            get
            {
                return _largeur;
            }
        }


        public double longueur
        {
            set
            {
                if (value > 0)
                    _longueur = value;
                else
                {
                    Console.WriteLine("la valeur de la longueur n'est pas positive");
                    Console.ReadLine();
                    Environment.Exit(0);
                }
            }

            get
            {
                return _longueur;
            }
        }

        public Rectangle(double la, double lo)
        {
            largeur = la;
            longueur = lo;
        }


        public double Aire()
        {
            return largeur * longueur;
        }

        public double Perimetre()
        {
            return 2 * (largeur + longueur);
        }

        public bool plusGrand(Rectangle r)
        {
            return Aire() > r.Aire();
        }



        class Program
        {
            static void Main(string[] args)
            {
                Console.WriteLine("=========  LES RECTANGLES ==========");
                Rectangle r1 = new Rectangle(123.3, 12);
                Rectangle r2 = new Rectangle(10, 11);

                Console.WriteLine("aire de r1 " + r1.Aire());
                Console.WriteLine("aire de r2 " + r2.Aire());
                Console.WriteLine(r1.plusGrand(r2));

                // TESTS
                Rectangle r3 = new Rectangle(10, -11);
                r1.largeur = 12;


                Console.ReadLine();
            }
        }
    }
}
